NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.QuickBinderBuilder Class Reference

Represents a NXOpen.Die.QuickBinderBuilder builder which builds a developable binder sheet body by adding cones, cylinders, or planes to an approximated face. More...

Inheritance diagram for NXOpen.Die.QuickBinderBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EditTypes {
  EdgeExtend, EdgeExtendStart, EdgeExtendEnd, EdgeAngleStart,
  EdgeAngleEnd, FaceRadius, FaceCentralAngle, FaceReverseConvexity,
  Transform, ExtendUMinimum, ExtendUMaximum, ExtendVMinimum,
  ExtendVMaximum
}
 The type of edit to be performed on the face. More...
 
enum  Types { Planar, Cylindrical, Conical, MonoArc }
 The method used to approximate the product faces. More...
 

Public Member Functions

unsafe int AddFace (NXOpen.Die.QuickBinderBuilder.Types type)
 Add a component face to the binder body. More...
 
unsafe int CreateAnchorFace ()
 Create initial face approximated from the selected faces. More...
 
unsafe void EditFace ()
 Edit the parameters of a face according to the type of edit previously indicated by NXOpen.Die.QuickBinderBuilder.EditType . More...
 
unsafe void GetEdgesOfFace (int faceIndex, out int[] edgeIndex, out NXOpen.Point3d[] referencePoints)
 Get the edge indexes for a face. More...
 
unsafe void RemoveFace ()
 Remove a face from the binder body. More...
 
unsafe void SetReferencePoint (NXOpen.Point3d location)
 Set the point used to determine the start and end side of the face. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AnchorBaseRadius [get]
 Returns the base radius for a conical anchor face. More...
 
unsafe NXOpen.Expression AnchorRadius [get]
 Returns the radius value of a cylidrical anchor face. More...
 
unsafe NXOpen.Expression AnchorTopRadius [get]
 Returns the top radius for a conical anchor face. More...
 
unsafe NXOpen.Expression BaseRadius [get]
 Returns the base radius for a cone. More...
 
unsafe NXOpen.Expression CentralAngle [get]
 Returns the central angle of a cylinder/cone. More...
 
unsafe int EdgeIndexToEdit [get, set]
 Returns or sets the index of the edge to edit. More...
 
unsafe
NXOpen.Die.QuickBinderBuilder.EditTypes 
EditType [get, set]
 Returns or sets the type edit to be performed on the face or edge. More...
 
unsafe NXOpen.Expression End [get]
 Returns the end length extension. More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the end angle of a planar face. More...
 
unsafe NXOpen.Expression Extend [get]
 Returns the value to extend both sides of a face. More...
 
unsafe int FaceIndexToEdit [get, set]
 Returns or sets the index of the face to edit. More...
 
unsafe NXOpen.ScCollector Faces [get]
 Returns the product faces used to perform the initial approximation. More...
 
unsafe
NXOpen.GeometricUtilities.Limits 
Limits [get]
 Returns the central angle limits of cylinder/cone. More...
 
unsafe NXOpen.Point3d OriginAnchorOrigin [get, set]
 Returns or sets the anchor origin of binder sheet body. More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius value of a cylidrical face. More...
 
unsafe NXOpen.Expression Start [get]
 Returns the start length extension. More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start angle of a planar face. More...
 
unsafe NXOpen.Expression TopRadius [get]
 Returns the top radius for a cone. More...
 
unsafe NXOpen.Matrix3x3 TransformMatrix [get, set]
 Returns or sets the rotation matrix of binder sheet body transformation. More...
 
unsafe NXOpen.Point3d TransformOrigin [get, set]
 Returns or sets the new origin of binder sheet body transformation. More...
 
unsafe
NXOpen.Die.QuickBinderBuilder.Types 
Type [get, set]
 Returns or sets the type of initial face created by approximating the faces indicated by NXOpen.Die.QuickBinderBuilder.Faces . More...
 
unsafe NXOpen.Expression UMaximum [get]
 Returns the u maximum extension distance. More...
 
unsafe NXOpen.Expression UMinimum [get]
 Returns the u minimum extension distance. More...
 
unsafe NXOpen.Expression VMaximum [get]
 Returns the v maximum extension distance. More...
 
unsafe NXOpen.Expression VMinimum [get]
 Returns the v minimum extension distance. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Die.QuickBinderBuilder builder which builds a developable binder sheet body by adding cones, cylinders, or planes to an approximated face.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateQuickBinderBuilder

Created in NX7.5.0

Member Enumeration Documentation

The type of edit to be performed on the face.

Enumerator
EdgeExtend 

Extend edge of a face.

EdgeExtendStart 

Extend start edge of a planar face.

EdgeExtendEnd 

Extend end edge of a planar face.

EdgeAngleStart 

Change the angle of the start edge of a planar face.

EdgeAngleEnd 

Change the angle of the end edge of a planar face.

FaceRadius 

Change the face radius of a conical/cylindrical face.

FaceCentralAngle 

Change the central angle of a conical/cylindrical face.

FaceReverseConvexity 

Reverse the convexity of a conical/cylindrical face.

Transform 

Transform body.

ExtendUMinimum 

Extend the U Minimum edge of the anchor face.

ExtendUMaximum 

Extend the U Maximum edge of the anchor face.

ExtendVMinimum 

Extend the V Minimum edge of the anchor face.

ExtendVMaximum 

Extend the V Maximum edge of the anchor face.

The method used to approximate the product faces.

Enumerator
Planar 

planar

Cylindrical 

cylindrical

Conical 

conical

MonoArc 

mono arc

Member Function Documentation

unsafe int NXOpen.Die.QuickBinderBuilder.AddFace ( NXOpen.Die.QuickBinderBuilder.Types  type)
inline

Add a component face to the binder body.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype of face to add
Returns
index of component face created
unsafe int NXOpen.Die.QuickBinderBuilder.CreateAnchorFace ( )
inline

Create initial face approximated from the selected faces.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
index of anchor face created
unsafe void NXOpen.Die.QuickBinderBuilder.EditFace ( )
inline

Edit the parameters of a face according to the type of edit previously indicated by NXOpen.Die.QuickBinderBuilder.EditType .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.QuickBinderBuilder.GetEdgesOfFace ( int  faceIndex,
out int[]  edgeIndex,
out NXOpen.Point3d[]  referencePoints 
)
inline

Get the edge indexes for a face.

Also returns corresponding points for each edge to be used as input to NXOpen.Die.QuickBinderBuilder.SetReferencePoint .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
faceIndexface index
edgeIndexedge indexes
referencePointsreference points corresponding to each edge
unsafe void NXOpen.Die.QuickBinderBuilder.RemoveFace ( )
inline

Remove a face from the binder body.

Face to remove is indicated by NXOpen.Die.QuickBinderBuilder.FaceIndexToEdit .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.QuickBinderBuilder.SetReferencePoint ( NXOpen.Point3d  location)
inline

Set the point used to determine the start and end side of the face.

Also used to determine which end of the conic to edit.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
locationReference Point in absolute coordinates

Property Documentation

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.AnchorBaseRadius
get

Returns the base radius for a conical anchor face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.AnchorRadius
get

Returns the radius value of a cylidrical anchor face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.AnchorTopRadius
get

Returns the top radius for a conical anchor face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.BaseRadius
get

Returns the base radius for a cone.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.CentralAngle
get

Returns the central angle of a cylinder/cone.

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Die.QuickBinderBuilder.EdgeIndexToEdit
getset

Returns or sets the index of the edge to edit.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.QuickBinderBuilder.EditTypes NXOpen.Die.QuickBinderBuilder.EditType
getset

Returns or sets the type edit to be performed on the face or edge.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.End
get

Returns the end length extension.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.EndAngle
get

Returns the end angle of a planar face.

This angle rotates the side edge around the face normal with the rotation point being one of the endpoints of the edge that is attached to the previous face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.Extend
get

Returns the value to extend both sides of a face.

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Die.QuickBinderBuilder.FaceIndexToEdit
getset

Returns or sets the index of the face to edit.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.QuickBinderBuilder.Faces
get

Returns the product faces used to perform the initial approximation.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Limits NXOpen.Die.QuickBinderBuilder.Limits
get

Returns the central angle limits of cylinder/cone.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Point3d NXOpen.Die.QuickBinderBuilder.OriginAnchorOrigin
getset

Returns or sets the anchor origin of binder sheet body.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.Radius
get

Returns the radius value of a cylidrical face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.Start
get

Returns the start length extension.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.StartAngle
get

Returns the start angle of a planar face.

This angle rotates the side edge around the face normal with the rotation point being one of the endpoints of the edge that is attached to the previous face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.TopRadius
get

Returns the top radius for a cone.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Matrix3x3 NXOpen.Die.QuickBinderBuilder.TransformMatrix
getset

Returns or sets the rotation matrix of binder sheet body transformation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point3d NXOpen.Die.QuickBinderBuilder.TransformOrigin
getset

Returns or sets the new origin of binder sheet body transformation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.QuickBinderBuilder.Types NXOpen.Die.QuickBinderBuilder.Type
getset

Returns or sets the type of initial face created by approximating the faces indicated by NXOpen.Die.QuickBinderBuilder.Faces .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.UMaximum
get

Returns the u maximum extension distance.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.UMinimum
get

Returns the u minimum extension distance.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.VMaximum
get

Returns the v maximum extension distance.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.QuickBinderBuilder.VMinimum
get

Returns the v minimum extension distance.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.